Bug 168876 - Don't import RetainPtr in WebNotification.h
Summary: Don't import RetainPtr in WebNotification.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alexey Proskuryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-25 19:49 PST by Alexey Proskuryakov
Modified: 2017-03-10 12:21 PST (History)
6 users (show)

See Also:


Attachments
proposed fix (2.12 KB, patch)
2017-02-25 19:51 PST, Alexey Proskuryakov
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews117 for mac-elcapitan (1.70 MB, application/zip)
2017-02-25 21:05 PST, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2017-02-25 19:49:18 PST
WebNotification.h is an Objective-C SPI header, so it shouldn't import C++ headers.

Not a huge deal in practice because of who uses it, but this still not right, and it confuses certain tools.
Comment 1 Alexey Proskuryakov 2017-02-25 19:51:24 PST
Created attachment 302768 [details]
proposed fix
Comment 2 Build Bot 2017-02-25 21:05:39 PST
Comment on attachment 302768 [details]
proposed fix

Attachment 302768 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3194315

New failing tests:
media/modern-media-controls/macos-fullscreen-media-controls/macos-fullscreen-media-controls-drag.html
media/modern-media-controls/macos-fullscreen-media-controls/macos-fullscreen-media-controls-drag-is-prevented-over-button.html
Comment 3 Build Bot 2017-02-25 21:05:41 PST
Created attachment 302772 [details]
Archive of layout-test-results from ews117 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 4 WebKit Commit Bot 2017-02-26 16:19:25 PST
Comment on attachment 302768 [details]
proposed fix

Clearing flags on attachment: 302768

Committed r213018: <http://trac.webkit.org/changeset/213018>
Comment 5 WebKit Commit Bot 2017-02-26 16:19:29 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Csaba Osztrogonác 2017-02-28 03:58:49 PST
(In reply to comment #4)
> Comment on attachment 302768 [details]
> proposed fix
> 
> Clearing flags on attachment: 302768
> 
> Committed r213018: <http://trac.webkit.org/changeset/213018>

It broke the Apple Mac cmake build, see
https://build.webkit.org/builders/Apple%20El%20Capitan%20CMake%20Debug%20%28Build%29/builds/12496
Comment 7 Csaba Osztrogonác 2017-03-10 12:21:45 PST
(In reply to comment #6)
> (In reply to comment #4)
> > Comment on attachment 302768 [details]
> > proposed fix
> > 
> > Clearing flags on attachment: 302768
> > 
> > Committed r213018: <http://trac.webkit.org/changeset/213018>
> 
> It broke the Apple Mac cmake build, see
> https://build.webkit.org/builders/
> Apple%20El%20Capitan%20CMake%20Debug%20%28Build%29/builds/12496

Alex fixed it:
https://trac.webkit.org/changeset/213724/trunk/Source/WebKit/mac/WebView/WebNotification.h